org.eclipse.cdt.core.settings.model.util

## Class PathEntryTranslator.ReferenceSettingsInfo

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.PathEntryTranslator.ReferenceSettingsInfo

Enclosing class:
  PathEntryTranslator

    public static final class PathEntryTranslator.ReferenceSettingsInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReferenceSettingsInfo(ICConfigurationDescription cfgDescription)`
`ReferenceSettingsInfo(org.eclipse.core.runtime.IPath[] projPaths, ICExternalSetting[] extSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICExternalSetting[]` `getExternalSettings()`
`org.eclipse.core.runtime.IPath[]` `getReferencedProjectsPaths()`
`Map<String,String>` `getRefProjectsMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReferenceSettingsInfo

    public ReferenceSettingsInfo(ICConfigurationDescription cfgDescription)

#### ReferenceSettingsInfo

    public ReferenceSettingsInfo(org.eclipse.core.runtime.IPath[] projPaths,
                                 ICExternalSetting[] extSettings)

### Method Detail

#### getReferencedProjectsPaths

    public org.eclipse.core.runtime.IPath[] getReferencedProjectsPaths()

#### getRefProjectsMap

    public Map<String,String> getRefProjectsMap()

#### getExternalSettings

    public ICExternalSetting[] getExternalSettings()